ReductionStrategy.cc File Reference
`#include <polybori/groebner/ReductionStrategy.h>`
`#include <polybori/groebner/LessWeightedLengthInStrat.h>`
`#include <polybori/groebner/LessWeightedLengthInStratModified.h>`
`#include <polybori/groebner/nf.h>`
`#include <polybori/groebner/red_tail.h>`

## Namespaces

| polybori
| polybori::groebner

## Typedefs

typedef LessWeightedLengthInStratModified | polybori::groebner::StratComparerForSelect

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-30

This file includes the definition of the class `ReductionStrategy`.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team